# FriendsRPG

FriendsRPG is a modified version of DawdleRPG (an IdleRPG clone) written in Python.

## Basic Setup

- Install python-django and docker
- Copy dawdle.conf.example to af/dawdle.conf
- Edit af/dawdle.conf to configure the bot
- Run the following commands:

``` sh
cd site
./manage.py migrate --database=default
./manage.py migrate --database=game
./manage.py collectstatic --no-input
cd ..
./dawdle.py --setup af/dawdle.conf
```

### Development:
```
docker compose -f docker-compose.yml -f docker-compose.dev.yml up -d --build
OR
make dev
```

Web is available via: http://localhost:8142

### Production:
```
docker compose -f docker-compose.yml -f docker-compose.prod.yml up -d --build
OR
make prod
```

## Differences from DawdleRPG
- No longer a drop-in for IdleRPG and uses Sqlite database as a backend
- Special items and Events are Anime themed
- Mounts arrive at Level 45
- Chatting is allowed in the channel
- Sending commands to the bot via the #channel can be done via ! (ie: !status)
- Debug logging of all randomness for "proof"
- /timelapse via the web interface allows for a fun little gimmick (hard coded for us)
- /players show IRCUser and other info at a glance

## Differences from IdleRPG

- Names, items, and durations are in different colors.
- Output throttling allows configurable rate over a period.
- Long messages are word wrapped.
- Logging can be set to different levels.
- Better IRC protocol support. (SSL!)
- More game numbers are configurable.
- Quest pathfinding is much more efficient.
- Fights caused by map collisions have chance of finding item.
- All worn items have a chance to get buffs/debuffs instead of a subset.
- High level character can still get special items.
- Special items are always buffs.
